CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

显示属性 (ActiveX)

2023-1-3 18:23| 发布者: admin| 查看: 437| 评论: 0|来自: AutoCAD

摘要: 获取首选项显示对象。

获取首选项显示对象。

支持的平台:仅窗口

签名

工 务 局:

object.Display
对象

类型:首选项

此属性适用的对象。

属性值

只读:是的

类型:首选项显示

获取对象。PreferencesDisplay

言论

该对象包含存储在注册表中的“选项”对话框中“显示”选项卡中的所有选项。与图形一起存储的所有选项都可以在对象上找到。PreferencesDisplayDatabasePreferences

例子

工 务 局:

Sub Example_Display()
    ' This example obtains a reference to the Display Preferences object
    ' from the Application Preferences object, and reads one of the Display
    ' preferences
    
    Dim ACADPref As AcadPreferencesDisplay
    
    ' Obtain a reference to the Display Preferences object
    Set ACADPref = ThisDrawing.Application.Preferences.Display
    
    MsgBox "We now have access to the properties and methods of the Display Preferences object!"
    MsgBox "The Display preference CursorSize is set to: " & ACADPref.CursorSize

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Display()
    ;; This example obtains a reference to the Display Preferences object
    ;; from the Application Preferences object, and reads one of the Display
    ;; preferences
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; Obtain a reference to the Display Preferences object
    (setq ACADPref (vla-get-Display preferences))
    
    (alert "We now have access to the properties and methods of the Display Preferences object!")
    (alert (strcat "The Display preference CursorSize is set to: " (itoa (vla-get-CursorSize ACADPref))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 18:26

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部